Subject: bug#24482: 25.1; font setting in ".emacs" is not respected

From: martin rudalics <[email-masked]>
Date: Tue, 20 Sep 2016 19:08:17 +0200

> I change the default font via "Easy Customization" and save it. The contents of the file
 > ".emacs" is below.
 > {{{
 > (custom-set-variables
 >   ;; custom-set-variables was added by Custom.
 >   ;; If you edit it by hand, you could mess it up, so be careful.
 >   ;; Your init file should contain only one such instance.
 >   ;; If there is more than one, they won't work right.
 >   )
 > (custom-set-faces
 >   ;; custom-set-faces was added by Custom.
 >   ;; If you edit it by hand, you could mess it up, so be careful.
 >   ;; Your init file should contain only one such instance.
 >   ;; If there is more than one, they won't work right.
 >   '(default ((t (:family "Nimbus Roman" :foundry "UKWN" :slant normal :weight normal :height 201 :width normal)))))
 > }}}
 >
 > After I restart Emacs, the font shown is not the font I chose. Actually,
 > I see how Emacs changes the font I chose to another font promptly.
 >
 > This bug appeared after upgrading from 24.5 to 25.1.

See the thread "Note on e65c307 breaks font-height" on emacs-devel.

martin